curl --request PATCH \
--url https://api.debbiecollect.com/v1/{tenantId}/creditors/{creditorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"acquisitionResponsibleId": "9409b6d8-cde5-45f1-b8e1-e756847a7077",
"contactId": "bb71f936-c60c-4ad7-82f6-eddca673d30f",
"caseworkerContactId": "9409b6d8-cde5-45f1-b8e1-e756847a7077",
"notes": "Note to self (and my colleagues).",
"name": "John Doe's Factories",
"defaultCollectorId": "f6700acf-edf6-4ef7-8e39-fa5f45d20c0d",
"defaultChainId": "3057ca58-d39d-48ec-9d79-c45182b92ca0",
"aksEnabled": true,
"vatRegistered": true,
"centralRegisterId": "DK40125949",
"isCompany": true,
"state": "ACTIVE",
"id": "My reference",
"selfCollection": false,
"experianClientId": 125134,
"creditorId": "a087de99-19aa-4f40-9883-fa4b20f3dff1",
"debtorFAQ": "Frequently asked questions",
"defaultClientChainId": "3057ca58-d39d-48ec-9d79-c45182b92ca0",
"defaultBillingModelId": "9860cf1a-b4d9-4d4e-a085-298c4781eca0"
}
EOFimport requests
url = "https://api.debbiecollect.com/v1/{tenantId}/creditors/{creditorId}"
payload = {
"acquisitionResponsibleId": "9409b6d8-cde5-45f1-b8e1-e756847a7077",
"contactId": "bb71f936-c60c-4ad7-82f6-eddca673d30f",
"caseworkerContactId": "9409b6d8-cde5-45f1-b8e1-e756847a7077",
"notes": "Note to self (and my colleagues).",
"name": "John Doe's Factories",
"defaultCollectorId": "f6700acf-edf6-4ef7-8e39-fa5f45d20c0d",
"defaultChainId": "3057ca58-d39d-48ec-9d79-c45182b92ca0",
"aksEnabled": True,
"vatRegistered": True,
"centralRegisterId": "DK40125949",
"isCompany": True,
"state": "ACTIVE",
"id": "My reference",
"selfCollection": False,
"experianClientId": 125134,
"creditorId": "a087de99-19aa-4f40-9883-fa4b20f3dff1",
"debtorFAQ": "Frequently asked questions",
"defaultClientChainId": "3057ca58-d39d-48ec-9d79-c45182b92ca0",
"defaultBillingModelId": "9860cf1a-b4d9-4d4e-a085-298c4781eca0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acquisitionResponsibleId: '9409b6d8-cde5-45f1-b8e1-e756847a7077',
contactId: 'bb71f936-c60c-4ad7-82f6-eddca673d30f',
caseworkerContactId: '9409b6d8-cde5-45f1-b8e1-e756847a7077',
notes: 'Note to self (and my colleagues).',
name: 'John Doe\'s Factories',
defaultCollectorId: 'f6700acf-edf6-4ef7-8e39-fa5f45d20c0d',
defaultChainId: '3057ca58-d39d-48ec-9d79-c45182b92ca0',
aksEnabled: true,
vatRegistered: true,
centralRegisterId: 'DK40125949',
isCompany: true,
state: 'ACTIVE',
id: 'My reference',
selfCollection: false,
experianClientId: 125134,
creditorId: 'a087de99-19aa-4f40-9883-fa4b20f3dff1',
debtorFAQ: 'Frequently asked questions',
defaultClientChainId: '3057ca58-d39d-48ec-9d79-c45182b92ca0',
defaultBillingModelId: '9860cf1a-b4d9-4d4e-a085-298c4781eca0'
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/creditors/{creditorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Patch creditor
Patch a creditor
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the creditor is related to
Id of the creditor
Body
Patch creditor object
The creditors' address
Show child attributes
Show child attributes
Your reference id of the creditor.
Id of the creditor user who is the contact person.
Id of the user who acquired the customer.
Id of the caseworker user who is case responsible.
Creditor notes.
Link to creditors' ERP system ( https://example.com?id={{customerReferenceId}}&test ).
Name of the creditor.
Id of the default collector.
Id of the default workflow.
Id of the default billing model.
Experian client id.
Frequently asked questions (shown in debtor web).
Whether Experian AKS is enabled or not.
Whether the creditor is vat registered or not.
Whether the creditor is a company.
Whether the creditor is collecting for themselves or not.
Central register id. For example "DK40125949"
The state of the creditor
LEAD, SIGNED_ON, ACTIVE, CANCELLED, CEASED